## kdesdk 4.8.4+dfsg

=== kmtrace/CMakeLists.txt ===
project(kmtrace)
# Check if libiberty is available
find_library(LIBIBERTY_LIBRARY NAMES iberty)
if (LIBIBERTY_LIBRARY)

  include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kminspector.cmake ${CMAKE_CURRENT_BINARY_DIR}/kminspector )
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kminspector DESTINATION ${BIN_INSTALL_DIR})
  ########### kmtrace ###############

  set(kmtrace_SRCS kmtrace.cpp)


  kde4_add_executable(kmtrace ${kmtrace_SRCS})

  target_link_libraries(kmtrace   ${LIBIBERTY_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kmtrace ${INSTALL_TARGETS_DEFAULT_ARGS})

  ########### demangle ###############

  set(demangle_SRCS demangle.cpp)


  kde4_add_executable(demangle ${demangle_SRCS})

  target_link_libraries(demangle   ${LIBIBERTY_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS demangle ${INSTALL_TARGETS_DEFAULT_ARGS})


  ########### kmmatch ###############

  set(kmmatch_SRCS match.cpp)


  kde4_add_executable(kmmatch ${kmmatch_SRCS})

  target_link_libraries(kmmatch   ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kmmatch ${INSTALL_TARGETS_DEFAULT_ARGS})


  ########### ktrace ###############

  set(ktrace_LIB_SRCS ksotrace.cpp ktrace.c)


  kde4_add_library(ktrace SHARED ${ktrace_LIB_SRCS})

  target_link_libraries(ktrace   dl ${KDE4_KDE3SUPPORT_LIBS})

  set_target_properties(ktrace PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS ktrace ${INSTALL_TARGETS_DEFAULT_ARGS})

  ########### install files ###############

install( FILES kde.excludes  DESTINATION  ${DATA_INSTALL_DIR}/kmtrace )
  install( FILES ktrace.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )

endif (LIBIBERTY_LIBRARY)

=== umbrello/umbrello/CMakeLists.txt ===
add_subdirectory( pics )
add_subdirectory( headings )

add_definitions(-DQT3_SUPPORT_WARNINGS)

#### get subversion revision number ###

MESSAGE(STATUS "\n")
UNSET(SVN_FILE CACHE)
find_file(SVN_FILE .svn ${CMAKE_CURRENT_SOURCE_DIR} NO_DEFAULT_PATH)
if(SVN_FILE)
    MESSAGE(STATUS "SVN used: ${SVN_FILE}.")
    find_package(Subversion)
    if(Subversion_FOUND)
        # extract working copy information for SOURCE_DIR into MY_XXX variables
        Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} MY)
        set(SUBVERSION_REVISION ${MY_WC_REVISION})
        MESSAGE(STATUS "SVN Revision: ${MY_WC_REVISION}")
    else(Subversion_FOUND)
        set(SUBVERSION_REVISION 0)
        MESSAGE(STATUS "SVN Revision: 0 - no package Subversion available!")
    endif(Subversion_FOUND)
else(SVN_FILE)
    MESSAGE(STATUS "SVN not used.")
    set(SUBVERSION_REVISION 0)
    MESSAGE(STATUS "SVN Revision: 0 - not yet implemented!")
endif(SVN_FILE)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/revision.h.in ${CMAKE_CURRENT_BINARY_DIR}/revision.temp)
execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different
                ${CMAKE_CURRENT_BINARY_DIR}/revision.temp ${CMAKE_CURRENT_BINARY_DIR}/revision.h
                COMMAND touch ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/revision.temp)

########### set variables #############

# Some definitions for experimental code or debugging
#add_definitions(-DWANT_LVTOOLTIP)                # umllistiew
#add_definitions(-DXMI_FLAT_PACKAGES)             # umlobject
#add_definitions(-DDEBUG_LVITEM_INSERTION_ORDER)  # umllistviewitem
#add_definitions(-DTRY_BUGFIX_120682)             # model_utils
#add_definitions(-DQ_CC_MSVC)                     # preprocesslexer
#add_definitions(-DDEBUG_CPPTREE2UML)             # cpptree2uml
#add_definitions(-DDEBUG_PRINTING)                # umlview
#add_definitions(-DVERBOSE_DEBUGGING)             # listpopupmenu, association, petaltree2uml,
                                                  # umlobject, umldoc, classifierlistpage

# Some Boost require exceptions
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

include_directories(
  ${LIBXML2_INCLUDE_DIR}
  ${LIBXSLT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/
  ${CMAKE_CURRENT_SOURCE_DIR}/clipboard/
  ${CMAKE_CURRENT_SOURCE_DIR}/cmds
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ada/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/as/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/csharp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/idl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/js/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/pascal/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/perl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/php/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/python/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/sql/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/tcl/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/vala/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/xml/
  ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimport/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimport/csharp/
  ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/
  ${CMAKE_CURRENT_SOURCE_DIR}/controller/
  ${CMAKE_CURRENT_SOURCE_DIR}/debug/
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/
  ${CMAKE_CURRENT_SOURCE_DIR}/docgenerators/
  ${CMAKE_CURRENT_SOURCE_DIR}/refactoring/
  ${CMAKE_CURRENT_SOURCE_DIR}/widgets/
  ${Boost_INCLUDE_DIR}
)

set(libdebug_SRCS
    debug/debug_utils.cpp
)

set(libcodegenerator_SRCS
    codegenerators/codegenfactory.cpp
    codegenerators/codegenpolicyext.cpp
    codegenerators/codeblock.cpp
    codegenerators/codeblockwithcomments.cpp
    codegenerators/codeclassfield.cpp
    codegenerators/codeclassfielddeclarationblock.cpp
    codegenerators/codecomment.cpp
    codegenerators/codedocument.cpp
    codegenerators/codegenerationpolicy.cpp
    codegenerators/codegenerator.cpp
    codegenerators/codegenobjectwithtextblocks.cpp
    codegenerators/codemethodblock.cpp
    codegenerators/codeoperation.cpp
    codegenerators/codeparameter.cpp
    codegenerators/codegen_utils.cpp
    codegenerators/hierarchicalcodeblock.cpp
    codegenerators/ownedcodeblock.cpp
    codegenerators/ownedhierarchicalcodeblock.cpp
    codegenerators/textblock.cpp
    codegenerators/java/javacodegenerator.cpp
    codegenerators/java/javaantcodedocument.cpp
    codegenerators/java/javacodeclassfield.cpp
    codegenerators/java/javaclassifiercodedocument.cpp
    codegenerators/java/javacodecomment.cpp
    codegenerators/java/javacodedocumentation.cpp
    codegenerators/java/javacodeoperation.cpp
    codegenerators/java/javacodeaccessormethod.cpp
    codegenerators/java/javaclassdeclarationblock.cpp
    codegenerators/java/javacodeclassfielddeclarationblock.cpp
    codegenerators/java/javacodegenerationpolicy.cpp
    codegenerators/java/javacodegenerationpolicypage.cpp
    codegenerators/cpp/cppcodegenerator.cpp
    codegenerators/cpp/cppcodedocumentation.cpp
    codegenerators/cpp/cppcodeclassfield.cpp
    codegenerators/cpp/cppcodecomment.cpp
    codegenerators/cpp/cppmakecodedocument.cpp
    codegenerators/cpp/cppsourcecodedocument.cpp
    codegenerators/cpp/cppsourcecodeoperation.cpp
    codegenerators/cpp/cppsourcecodeaccessormethod.cpp
    codegenerators/cpp/cppsourcecodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppheadercodedocument.cpp
    codegenerators/cpp/cppheaderclassdeclarationblock.cpp
    codegenerators/cpp/cppheadercodeoperation.cpp
    codegenerators/cpp/cppheadercodeaccessormethod.cpp
    codegenerators/cpp/cppheadercodeclassfielddeclarationblock.cpp
    codegenerators/cpp/cppcodegenerationpolicy.cpp
    codegenerators/cpp/cppcodegenerationpolicypage.cpp
    codegenerators/cpp/cppcodegenerationform.cpp
    codegenerators/d/dcodegenerator.cpp
    codegenerators/d/dcodedocumentation.cpp
    codegenerators/d/dcodeclassfield.cpp
    codegenerators/d/dcodecomment.cpp
    codegenerators/d/dclassdeclarationblock.cpp
    codegenerators/d/dclassifiercodedocument.cpp
    codegenerators/d/dcodeoperation.cpp
    codegenerators/d/dcodeaccessormethod.cpp
    codegenerators/d/dcodeclassfielddeclarationblock.cpp
    codegenerators/d/dcodegenerationpolicy.cpp
    codegenerators/d/dcodegenerationpolicypage.cpp
    codegenerators/ruby/rubycodegenerator.cpp
    codegenerators/ruby/rubycodeclassfield.cpp
    codegenerators/ruby/rubyclassifiercodedocument.cpp
    codegenerators/ruby/rubycodecomment.cpp
    codegenerators/ruby/rubycodedocumentation.cpp
    codegenerators/ruby/rubycodeoperation.cpp
    codegenerators/ruby/rubycodeaccessormethod.cpp
    codegenerators/ruby/rubyclassdeclarationblock.cpp
    codegenerators/ruby/rubycodeclassfielddeclarationblock.cpp
    codegenerators/ruby/rubycodegenerationpolicy.cpp
    codegenerators/ruby/rubycodegenerationpolicypage.cpp
    codegenerators/simplecodegenerator.cpp
    codegenerators/ada/adawriter.cpp
    codegenerators/as/aswriter.cpp
    codegenerators/cpp/cppwriter.cpp
    codegenerators/csharp/csharpwriter.cpp
    codegenerators/d/dwriter.cpp
    codegenerators/java/javawriter.cpp
    codegenerators/js/jswriter.cpp
    codegenerators/idl/idlwriter.cpp
    codegenerators/sql/mysqlwriter.cpp
    codegenerators/pascal/pascalwriter.cpp
    codegenerators/perl/perlwriter.cpp
    codegenerators/php/phpwriter.cpp
    codegenerators/php/php5writer.cpp
    codegenerators/sql/postgresqlwriter.cpp
    codegenerators/python/pythonwriter.cpp
    codegenerators/ruby/rubywriter.cpp
    codegenerators/sql/sqlwriter.cpp
    codegenerators/tcl/tclwriter.cpp
    codegenerators/vala/valawriter.cpp
    codegenerators/xml/xmlschemawriter.cpp
    codegenerators/xml/xmlelementcodeblock.cpp
    codegenerators/xml/xmlcodecomment.cpp
)

kde4_add_ui_files(  libcodegenerator_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/cpp/cppcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/ruby/rubycodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/d/dcodegenerationformbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenerators/java/javacodegenerationformbase.ui
)

set(libdocgenerator_SRCS
    docgenerators/docbookgenerator.cpp
    docgenerators/docbookgeneratorjob.cpp
    docgenerators/xhtmlgenerator.cpp
    docgenerators/docbook2xhtmlgeneratorjob.cpp
)

set(libdialogs_SRCS
    dialogs/activitydialog.cpp
    dialogs/activitypage.cpp
    dialogs/assocgenpage.cpp
    dialogs/assocpage.cpp
    dialogs/assocpropdlg.cpp
    dialogs/assocrolepage.cpp
    dialogs/classgenpage.cpp
    dialogs/classifierlistpage.cpp
    dialogs/constraintlistpage.cpp
    dialogs/classoptionspage.cpp
    dialogs/classpropdlg.cpp
    dialogs/classwizard.cpp
    dialogs/codeeditor.cpp
    dialogs/codegenerationpolicypage.cpp
    dialogs/codeimportoptionspage.cpp
    dialogs/codeviewerdialog.cpp
    dialogs/codevieweroptionspage.cpp
    dialogs/codetextedit.cpp
    dialogs/codetexthighlighter.cpp
    dialogs/defaultcodegenpolicypage.cpp
    dialogs/diagramprintpage.cpp
    dialogs/dialog_utils.cpp
    dialogs/exportallviewsdialog.cpp
    dialogs/notedialog.cpp
    dialogs/objectnodedialog.cpp
    dialogs/overwritedialogue.cpp
    dialogs/pkgcontentspage.cpp
    dialogs/parmpropdlg.cpp
    dialogs/selectopdlg.cpp
    dialogs/settingsdlg.cpp
    dialogs/statedialog.cpp
    dialogs/umlattributedialog.cpp
    dialogs/umlcheckconstraintdialog.cpp
    dialogs/umlentityattributedialog.cpp
    dialogs/umlforeignkeyconstraintdialog.cpp
    dialogs/umloperationdialog.cpp
    dialogs/umltemplatedialog.cpp
    dialogs/umlroledialog.cpp
    dialogs/umlroleproperties.cpp
    dialogs/umluniqueconstraintdialog.cpp
    dialogs/umlviewdialog.cpp
    dialogs/umlwidgetcolorpage.cpp
)

kde4_add_ui_files(  libdialogs_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codeviewerdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codevieweroptionsbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/exportallviewsdialogbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/umlrolepropertiesbase.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/diagrampropertiespage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/dialogs/codeimportoptionspage.ui
)

set(librefactoring_SRCS
    refactoring/refactoringassistant.cpp
)

set(libcodegenwizard_SRCS
    codegenwizard/codegenselectpage.cpp
    codegenwizard/codegenoptionspage.cpp
    codegenwizard/codegenstatuspage.cpp
    codegenwizard/codegenerationwizard.cpp
)

kde4_add_ui_files(  libcodegenwizard_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenselectpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenoptionspage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codegenwizard/codegenstatuspage.ui
)

set(libcodeimpwizard_SRCS
    codeimpwizard/codeimpselectpage.cpp
    codeimpwizard/codeimpstatuspage.cpp
    codeimpwizard/codeimpthread.cpp
    codeimpwizard/codeimportingwizard.cpp
)

kde4_add_ui_files(  libcodeimpwizard_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/codeimpselectpage.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/codeimpwizard/codeimpstatuspage.ui
)

set(libcodeimport_SRCS
    codeimport/adaimport.cpp
    codeimport/classimport.cpp
    codeimport/idlimport.cpp
    codeimport/import_utils.cpp
    codeimport/javaimport.cpp
    codeimport/nativeimportbase.cpp
    codeimport/pascalimport.cpp
    codeimport/pythonimport.cpp
    codeimport/csharp/csharpimport.cpp
)

if (WIN32 AND NOT MSVC)
    # SunPRO CC have a problem with position.h; we try to put a
    # QChar into a spirit iterator, which, after a bunch of futzing, ends up in
    # the STL string_ref templates, which use
    #
    #     union {
    #        size_type _C_size;    // Number of actual data values stored
    #        _CharT    _C_dummy;   // force the alignment of the first char

=== debian/changelog ===
kdesdk (4:4.8.4+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Improve packages descriptions:
    - kdesdk-dolphin-plugins: mention all the contained plugins.
    - kcachegrind-converters: sort the list of scripts.
    - kdesdk-strigi-plugins: add xliff files.
  * Make kdesdk-dolphin-plugins enhance dolphin.
  * Pass --language=C to dh_installman to avoid its autodetection of the
    language, which causes bogus results due to the script names (all the
    man pages in kdesdk-scripts are in English, anyway). (Closes: #696959)
  * Remove .texi files under GFDL + invariant sections: (Closes: #695701)
    - add prune-nonfree to debian/rules to remove them.
    - add a note on README.source of what we are removing from the original
      tarball.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols files from buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Jan 2013 13:47:01 -0300

kdesdk (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 23:41:07 +0200

kdesdk (4:4.8.4-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Pino Toscano ]
  * Fix typo in kompare's description. (Closes: #670199)

  [ José Manuel Santamaría Lema ]
  * Update build dependencies:
    - Bump kde-sc-dev-latest to 4:4.8.4.
    - Bump kdepimlibs5-dev to >= 4:4.8.
    - Bump libkonq5-dev to >= 4:4.8.
  * Update patches:
    - update dont_export_private_classes.diff.
    - refresh other patches to make them apply without any offset.
  * Rename the following packages due to name/SONAME changes:
    - libkastencontrollers4 -> libkasten1controllers1
    - libkastencore4 -> libkasten1core1
    - libkastengui4 -> libkasten1gui1
    - liboktetacore4 -> libokteta1core1
    - liboktetagui4 -> libokteta1gui1
    - liboktetakastencontrollers4abi1 -> libkasten1okteta1controllers1
    - liboktetakastencore4 -> libkasten1okteta1core1
    - liboktetakastengui4 -> libkasten1okteta1gui1
  * Update installed files.
  * Bump Standards-Version to 3.9.3:
    - kdesdk binary package now belongs to section 'metapackages'.
  * Add watch file.
  * Update lintian overrides.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Jun 2012 12:54:30 -0300

kdesdk (4:4.7.4-3) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 10:38:58 +0100

kdesdk (4:4.7.4-2) experimental; urgency=low

  * Add default-jre-headless to Build-Depends, thus we make sure that antlr
    will use the latest gcj (4.6 today) when building with sbuild configured to
    use the aptitude based resolver. Right now, this avoids an FTBFS on
    kfreebsd-amd64; this FTBFS happens because of gcj 4.4, which segfaults when
    executing antlr.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 22:22:31 +0100

=== debian/control ===
Source: kdesdk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>, 
 Modestas Vainius <modax@debian.org>, 
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.1),
 libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost-dev,
 binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
 shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8),
 libantlr-dev, antlr, default-jre-headless,
 libqca2-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdesdk.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdesdk.git

Package: kdesdk
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
# kbugbuster (>= ${source:Version}),
 kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
 kdesdk-misc (>= ${source:Version}), kdesdk-scripts (>= ${source:Version}),
 kdesdk-strigi-plugins (>= ${source:Version}), kompare (>= ${source:Version}),
 kuiviewer (>= ${source:Version}), lokalize (>= ${source:Version}),
 poxml (>= ${source:Version}), umbrello (>= ${source:Version}),
 kpartloader (>= ${source:Version}), kmtrace (>= ${source:Version}),
 kdesdk-dolphin-plugins (>= ${source:Version}),
 okteta (>= ${source:Version}), kate
Suggests: kcachegrind-converters (>= ${source:Version})
Description: Software Development Kit from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes software development applications provided with the
 official release of KDE.

Package: cervisia
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, cvsservice
Suggests: khelpcenter4
Description: graphical CVS client
 Cervisia is a front-end for the CVS version control system client.
 .
 In addition to basic and advanced CVS operations, it provides a convenient
 graphical interface for viewing, editing, and manipulating files in a CVS
 repository or working directory.  It includes tools designed to ease the use
 of CVS, such as a log browser, conflict resolver, and changelog editor that
 checks for incorrect formatting.
 .
 This package is part of the KDE Software Development Kit module.

Package: kapptemplate
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-dev (>= 4:4.1.80)
Description: application template generator
 KAppTemplate is a shell script that will create the necessary framework to
 develop several types of applications, including applications based on the 
 KDE development platform.
 .
 It generates the build-system configuration and provides example code
 for a simple application.
 .
 This package is part of the KDE Software Development Kit module.

#Package: kbugbuster
#Architecture: any
#Section: devel
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Suggests: khelpcenter4
#Description: Bugzilla client 
# KBugBuster is a client for the Bugzilla bug tracking system.
# It provides a variety of tools for querying, viewing, and manipulating bug
# reports.
# .
# This package is part of the KDE Software Development Kit module.

Package: kcachegrind
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind, graphviz
Suggests: kcachegrind-converters, khelpcenter4
Description: visualisation tool for the Valgrind profiler
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Any executable can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugins.
 .
 For visualising the output from profiling tools other than Valgrind, several
 converters can be found in the kcachegrind-converters package.
 .
 This package is part of the KDE Software Development Kit module.

Package: kcachegrind-converters
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, php5-cli, python
Recommends: kcachegrind
Description: format converters for KCachegrind profiler visualisation tool
 This is a collection of scripts for converting the output from several
 different profiling tools into a format that KCachegrind can display.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a memory profiling tool for valgrind.  Executables can be
 profiled using calltree without being recompiled, including multi-threaded
 applications, shared libraries, and plugin architectures.
 .
 The included scripts are:
 .
  * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
  * memprof2calltree: converts the memory profiles of memprof
  * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
  * pprof2calltree: converts the pprof output from APD
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-dolphin-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
Replaces: dolphin (<< 4:4.5.0)
Enhances: dolphin
Description: dolphin VCS plugins
 This package contains plugins that offer integration in Dolphin with the
 following version control systems:
 .
  * Bzr
  * Git
  * Mercurial
  * Subversion
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-kio-plugins
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, subversion
Suggests: perl-doc
Description: transparent Subversion access and Perl documentation KIO slaves
 This package includes the svn and svn+ssh KIO plugins, which allows KDE
 applications to browse remote Subversion repositories, and the perldoc KIO
 plugin, which can be used to browse the Perl documentation within Konqueror.
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-misc
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libqt4-dev, gimp, inkscape, xpaint
Description: miscellaneous tools from the KDE Software Development Kit
 This package contains additional tools to aid in development for KDE.
 .
 Included are:
  - headers to assist with profiling KDE code
  - a KDE address book resource for KDE Subversion repository accounts
  - kstartperf to measure startup time
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python
Recommends: subversion, gawk, optipng, advancecomp
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
  * XML localisation files (xliff)
 .
 This package is part of the KDE Software Development Kit module.

Package: kmtrace
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, less
Description: memory leak tracer
 KMtrace is a KDE tool to assist with malloc debugging using glibc's
 "mtrace" functionality.
 .
 This package is part of the KDE Software Development Kit module.

Package: kompare
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Replaces: libcvsservice0 (<<4:4.0.0)
Breaks: libcvsservice0 (<<4:4.0.0)
Description: file difference viewer 
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kuiviewer
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qt4-designer
Description: viewer for Qt Designer user interface files
 KUIViewer is a utility to display and check user interface (.ui) files
 created in Qt Designer.  The interfaces can be shown in a variety of
 different widget styles to ensure that they display correctly in any
 environment.
 .
 The Qt Designer itself is in the package qt4-designer.
 .
 This package is part of the KDE Software Development Kit module.

Package: cvsservice
Architecture: any
Section: vcs
Depends: ${shlibs:Depends}, ${misc:Depends}, cvs
Replaces: libcvsservice0
Breaks: libcvsservice0
Description: D-Bus service for accessing CVS repositories
 This package provides a D-Bus service for browsing and manipulating
 remote CVS repositories.  Applications may make use of it directly from
 C++, or access the service over D-Bus.
 .
 This package is part of the KDE Software Development Kit module.

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

Package: umbrello
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: UML modelling tool and code generator
 Umbrello UML Modeller is a Unified Modelling Language diagram editor for KDE.
 It can create diagrams of software and other systems in the industry-standard
 UML format, and can also generate code from UML diagrams in a variety of
 programming languages.
 .
 This package is part of the KDE Software Development Kit module.

Package: lokalize
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, kdesdk-strigi-plugins
Recommends: krosspython, python-kde4, gettext, translate-toolkit (>= 1.3.0), python-lxml, python-dbus, subversion
Suggests: khelpcenter4, poxml
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity 
 and quality assurance. It has components usual for CAT tools: translation 
 memory, glossary, and also a unique translation merging (synchronization) 
 capability. It is primarily targeted at software translation and also

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_install --autodest -pokteta-dev usr/include/kasten1/okteta1/structtool.h
	dh_install --autodest -pokteta-dev usr/include/kasten1/okteta1/structtoolview.h
	dh_install --autodest -pokteta-dev usr/include/kasten1/okteta1/structurestoolfactory.h
	dh_install --autodest -pokteta-dev usr/include/kasten1/okteta1/structurestoolviewfactory.h
	dh_install --autodest -pokteta usr/share/kde4/config/okteta-structures.knsrc
endif

override_dh_installman:
	$(overridden_command) --language=C

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-dbg

prune-nonfree:
	# Delete files under GFDL + invariant sections
	rm -f scripts/kde-emacs/kde-emacs-tips.texi

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-([\d\.]*).tar.xz

## kdesdk 4.8.5

=== debian/changelog ===
kdesdk (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:50:14 +0200

kdesdk (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update lokalize.install

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:38:11 +0200

kdesdk (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 19:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kdesdk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
- Sune Vuorela <sune@debian.org>, 
- Modestas Vainius <modax@debian.org>, 
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Armin Berres <armin+debian@space-based.de>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.1),
- libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost-dev,
+ kdepimlibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.1),
+ libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.46-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8),
- libantlr-dev, antlr, default-jre-headless,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8.1), libantlr-dev, antlr,
  libqca2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdesdk.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdesdk.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdesdk.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdesdk.git
 
 Package: kdesdk
 Architecture: all
-Section: metapackages
 Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
 # kbugbuster (>= ${source:Version}),
  kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
@@ -122,10 +121,10 @@
  The included scripts are:
  .
   * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
-  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
+  * pprof2calltree: converts the pprof output from APD 
   * memprof2calltree: converts the memory profiles of memprof
   * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
-  * pprof2calltree: converts the pprof output from APD
+  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -133,16 +132,11 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
-Replaces: dolphin (<< 4:4.5.0)
-Enhances: dolphin
+Replaces: dolphin (<< 4:4.5.0), dolphin-plugins-bazaar
+Breaks: dolphin-plugins-bazaar
 Description: dolphin VCS plugins
- This package contains plugins that offer integration in Dolphin with the
- following version control systems:
- .
-  * Bzr
-  * Git
-  * Mercurial
-  * Subversion
+ This package contains plugins that offer integration of various version
+ control systems in Dolphin.
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -176,7 +170,7 @@
 Package: kdesdk-scripts
 Architecture: all
 Section: devel
-Depends: ${misc:Depends}, ${perl:Depends}, python
+Depends: ${misc:Depends}, ${perl:Depends}, python, pkg-kde-tools
 Recommends: subversion, gawk, optipng, advancecomp
 Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
 Enhances: kate
@@ -204,7 +198,6 @@
   * Patch files (diff)
   * Qt Linguist files (ts)
   * Gettext translation files (po)
-  * XML localisation files (xliff)
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -226,7 +219,7 @@
 Replaces: libcvsservice0 (<<4:4.0.0)
 Breaks: libcvsservice0 (<<4:4.0.0)
 Description: file difference viewer 
- Kompare displays the differences between files.  It can compare the
+ Kompare is displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch
  files.
  .
@@ -294,6 +287,3 @@
 Suggests: khelpcenter4, poxml
 Description: computer-aided translation system
  Lokalize is a computer-aided translation system that focuses on productivity 
- and quality assurance. It has components usual for CAT tools: translation 
- memory, glossary, and also a unique translation merging (synchronization) 
- capability. It is primarily targeted at software translation and also

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-dbg

## kdesdk 4.9.2

=== debian/changelog ===
kdesdk (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:55:55 -0400

kdesdk (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:25:58 +0100

kdesdk (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:27:36 +0530

kdesdk (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kdesdk (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Update symbols files
  * Add build-dep on pkg-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:55:47 +0100

kdesdk (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Jun 2012 15:11:09 +0100

kdesdk (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New uptream beta release
  * Update dont_export_private_classes.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 11:49:54 +0100

kdesdk (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 21:51:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.1),
- libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.46-dev,
+Build-Depends: 
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
+ kdepimlibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.1),
+ libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.49-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8.1), libantlr-dev, antlr,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.2), libantlr-dev, antlr,
  libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
@@ -64,7 +64,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.1.80)
+Suggests: kdelibs5-dev (>= 4:4.9.2)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the

## kdesdk 4.9.4

=== debian/changelog ===
kdesdk (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:57:35 +0100

kdesdk (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:36:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
- pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
- kdepimlibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.1),
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.4),
+ kdepimlibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.1),
  libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.49-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.2), libantlr-dev, antlr,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.4), libantlr-dev, antlr,
  libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
@@ -64,7 +64,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.9.2)
+Suggests: kdelibs5-dev (>= 4:4.9.4)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the

## kdesdk 4.9.5

=== debian/changelog ===
kdesdk (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:34:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
- pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.4),
- kdepimlibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.1),
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.5),
+ kdepimlibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.1),
  libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.49-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
  shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.4), libantlr-dev, antlr,
@@ -64,7 +64,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.9.4)
+Suggests: kdelibs5-dev (>= 4:4.9.5)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the

## kdesdk 4.10.0

=== debian/changelog ===
kdesdk (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:51:06 +0000

kdesdk (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:32:17 +0000

kdesdk (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:33:00 +0100

kdesdk (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Rohan Garg ]
  * Update install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:27:21 +0000

kdesdk (4:4.9.90-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update .symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:50:36 +0000

kdesdk (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:34:42 +0100

kdesdk (4:4.7.2-0r1) raring; urgency=low

  * New upstream release:
    - stops using the deprecated Switch.pm perl module. (Closes: #629339)

  [ Daniele E. Domenichelli ]
  * Update build dependencies:
    * Bump kde-sc-dev-latest to 4:4.7.2.
    * Bump kdepimlibs5-dev to >= 4:4.7.
    * Bump libkonq5-dev to >= 4:4.7.
  * Update append_kde.diff.
  * Update symbols files.
  * Remove kate from built packages.
  * Update installed files.
  * Fix some problems found by lintian.
  * Add lintian-overrides for missing symbols files.

  [ José Manuel Santamaría Lema ]
  * Bump liboktetakastencontrollers ABI version due to a BIC issue.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Sep 2011 13:26:57 +0100

kdesdk (4:4.5.1-0r1) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Refresh patch 02_append_kde.diff.
  * Drop patch 03_kmtrace_compile.diff; fixed upstream in a better way.
  * Add libkonq5-dev, libantlr-dev and antlr to build depends.
  * Bump kdepimlibs5-dev build dependency to version 4:4.5.
  * Update installed files.
  * Add new package: kdesdk-dolphin-plugins.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 04 Sep 2010 12:56:39 +0300

kdesdk (4:4.4.2-0ubuntu1) raring; urgency=low

  * New upstream release
    - Bump build-depends
    - Update kate.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 20:57:08 +0100

kdesdk (4:4.0.73-1) raring; urgency=low

  * New upstream snapshot. (Closes: #479010)
  * Add binutils-dev build dependency to get libiberty for kmtrace.
    (Closes: 479085)
  * Add 97_fix_target_link_libraries patch.

 -- Fathi Boudra <fabo@debian.org>  Sat, 10 May 2008 16:25:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
- pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.5),
- kdepimlibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.1),
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.10.0),
+ kdepimlibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.1),
  libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.49-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.4), libantlr-dev, antlr,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.10.0), libantlr-dev, antlr,
  libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
@@ -64,7 +64,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.9.5)
+Suggests: kdelibs5-dev (>= 4:4.10.0)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the
